# TXBeautyManager class Null safety

Beauty filter and animation parameter management

## Constructors

TXBeautyManager(dynamic channel)

## Properties

hashCode → int
  The hash code for this object.
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

enableSharpnessEnhancement(bool enable) → Future<void>
  Enable definition enhancement
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed.
  inherited
setBeautyLevel(int beautyLevel) → Future<void>
  Set the strength of the beauty filter
setBeautyStyle(int beautyStyle) → Future<void>
  Set beauty filter type
setFilter(String assetUrl) → Future<int?>
  Specify material filter effect
setFilterStrength(double strength) → Future<void>
  Set the strength of filter
setRuddyLevel(int ruddyLevel) → Future<void>
  Set the strength of the rosy skin filter
setWhitenessLevel(int whitenessLevel) → Future<void>
  Set the strength of the brightening filter
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited